<div dir="auto"><div>Do you have the gambas 3.14 PPA still added?<div dir="auto">Check your repository settings.</div><div dir="auto"><br></div><div dir="auto">Good luck.</div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Mon, 10 Jan 2022, 20:43 Rolf-Werner Eilert, <<a href="mailto:rwe-sse@osnanet.de">rwe-sse@osnanet.de</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
  
    
  
  <div>
    <p><br>
    </p>
    <div>Am 10.01.22 um 21:23 schrieb Bruce
      Steers:<br>
    </div>
    <blockquote type="cite">
      
      <div dir="ltr">
        <div dir="ltr">
          <div class="gmail_default" style="font-size:small"><br>
          </div>
        </div>
        <br>
        <div class="gmail_quote">
          <div dir="ltr" class="gmail_attr">On Mon, 10 Jan 2022 at
            20:17, Rolf-Werner Eilert <<a href="mailto:rwe-sse@osnanet.de" target="_blank" rel="noreferrer">rwe-sse@osnanet.de</a>>
            wrote:<br>
          </div>
          <blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
            <div>
              <p>No, there is nothing left in there.<br>
              </p>
              <div>Am 10.01.22 um 21:08 schrieb Jussi Lahtinen:<br>
              </div>
              <blockquote type="cite">
                <div dir="ltr">
                  <div>When installing manually you can determine the
                    install path. So check also the /usr/local paths.</div>
                  <div><br>
                  </div>
                  <div>Jussi<br>
                  </div>
                </div>
                <br>
                <div class="gmail_quote">
                  <div dir="ltr" class="gmail_attr">On Mon, Jan 10, 2022
                    at 10:06 PM Rolf-Werner Eilert <<a href="mailto:rwe-sse@osnanet.de" target="_blank" rel="noreferrer">rwe-sse@osnanet.de</a>>
                    wrote:<br>
                  </div>
                  <blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
                    <div>
                      <p>In this case, shouldn't it be possible to
                        correct the package database manually? Is there
                        a file somewhere containing these references? I
                        mean, these are not too many files, should be
                        couple of lines which might be removable.</p>
                      <p>Or isn't it human readable?</p>
                      <p><br>
                      </p>
                      <div>Am 10.01.22 um 20:32 schrieb Bruce Steers:<br>
                      </div>
                      <blockquote type="cite">
                        <div dir="ltr">
                          <div style="font-size:small">make sure apt
                            does not have it.</div>
                          <div style="font-size:small">sudo apt-get
                            remove "gambas3*"</div>
                        </div>
                      </blockquote>
                    </div>
                  </blockquote>
                </div>
              </blockquote>
            </div>
          </blockquote>
          <div>
            <div style="font-size:small" class="gmail_default">maybe try
              purge?</div>
          </div>
          <div style="font-size:small" class="gmail_default">sudo
            apt-get purge "gambas3*"</div>
          <div style="font-size:small" class="gmail_default">try to fix
            broken packages?<br>
          </div>
          <div style="font-size:small" class="gmail_default">sudo
            apt-get update --fix-broken</div>
          <div style="font-size:small" class="gmail_default"><br>
          </div>
          <div style="font-size:small" class="gmail_default">clean out
            residual packages?</div>
          <div style="font-size:small" class="gmail_default">sudo
            apt-get autoclean</div>
          <div style="font-size:small" class="gmail_default"><br>
          </div>
          <div style="font-size:small" class="gmail_default"><br>
          </div>
          <div style="font-size:small" class="gmail_default">somethings
            gotta work :)</div>
          <div style="font-size:small" class="gmail_default"><br>
          </div>
          <div style="font-size:small" class="gmail_default">BruceS</div>
        </div>
      </div>
      <br>
    </blockquote>
    <p><br>
    </p>
    <p>No, nothing works. I tried dpkg --remove gambas3-runtime, and it
      says it is not installed. So the whole thing seems to be a matter
      of directives rather than files. <br>
    </p>
    <p>To me it seems the package manager is running into some old
      directives to install 3.14 which confuses it. <br>
    </p>
    <p>Regards<br>
      Rolf</p>
    <p><br>
    </p>
  </div>

<br>
----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
</blockquote></div></div></div>